package com.ruoyi.adsdesk.business.user;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.adsdesk.domain.AdsUser;
import com.ruoyi.adsdesk.param.UserListParam;
import org.apache.commons.compress.utils.Lists;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;


/**
 * Ads登录用户
 *
 * @author Xingbz
 */
@Service
public class AdsUserBusiness {

    public IPage<AdsUser> list(UserListParam param) {
        AdsUser u1 = new AdsUser();
        u1.setId(1L);
        u1.setCustomerId(1L);
        u1.setName("zqw");
        u1.setRole("MANAGER");
        u1.setEmail("zhaoqingwei@reyun.com");

        List<AdsUser> list = Lists.newArrayList();
        list.add(u1);

        Page result = new Page<>(1, 10, 1);
        result.setRecords(list);
        return result;
    }


}
